NXWidgets: NXWidgets Struct Reference

NXWidgets 1.19

Public Types | Public Attributes | List of all members
NXWidgets Struct Reference
Inheritance diagram for NXWidgets:

## Public Types
enum | ECursorControl { CURSOR_HOME = 1, CURSOR_END, CURSOR_UP, CURSOR_DOWN, CURSOR_LEFT, CURSOR_RIGHT, CURSOR_PAGEUP, CURSOR_PAGEDOWN }
enum | EShowCursor { SHOW_CURSOR_ONFOCUS = 0, SHOW_CURSOR_NEVER, SHOW_CURSOR_ALWAYS }
typedef uint8_t | nxwidget_pixel_t
typedef uint16_t | nxwidget_pixel_t
typedef uint32_t | nxwidget_pixel_t
typedef uint32_t | nxwidget_pixel_t
typedef uint16_t | nxwidget_char_t
typedef uint8_t | nxwidget_char_t

## Public Attributes
const struct SRlePaletteBitmap | g_nuttxBitmap160x160
const struct SRlePaletteBitmap | g_nuttxBitmap320x320
const struct SBitmap | g_screenDepthUp
const struct SBitmap | g_screenDepthDown
const struct SBitmap | g_windowClose
const struct SBitmap | g_windowDepthUp
const struct SBitmap | g_windowDepthDown
const struct SBitmap | g_radioButtonOn
const struct SBitmap | g_radioButtonOff
const struct SBitmap | g_radioButtonMu
const struct SBitmap | g_checkBoxOff
const struct SBitmap | g_checkBoxOn
const struct SBitmap | g_checkBoxMu
const struct SBitmap | g_screenFlipUp
const struct SBitmap | g_screenFlipDown
const struct SBitmap | g_arrowUp
const struct SBitmap | g_arrowDown
const struct SBitmap | g_arrowLeft
const struct SBitmap | g_arrowRight
const struct SBitmap | g_cycle
const struct SBitmap | g_backspace
const struct SBitmap | g_return
const struct SBitmap | g_shift
const struct SBitmap | g_capslock
const struct SBitmap | g_control
CWidgetStyle * | g_defaultWidgetStyle
CNxString * | g_nullString
TNxArray< CNxTimer * > * | g_nxTimers
| CONFIG_NXWIDGETS_BPP
| COLOR_FMT
* | CONFIG_NXWIDGETS_BPP
| CONFIG_NXWIDGETS_FMT
| BITMAP_NLUTCODES
| BITMAP_NCOLUMNS
| BITMAP_NROWS

## Detailed Description

Definition at line 144 of file glyph_arrowdown.cxx.

## Member Typedef Documentation

## ◆ nxwidget_char_t [1/2]

typedef uint16_t NXWidgets::nxwidget_char_t

Definition at line 454 of file nxconfig.hxx.

## ◆ nxwidget_char_t [2/2]

typedef uint8_t NXWidgets::nxwidget_char_t

Definition at line 456 of file nxconfig.hxx.

## ◆ nxwidget_pixel_t [1/4]

typedef uint8_t NXWidgets::nxwidget_pixel_t

Definition at line 442 of file nxconfig.hxx.

## ◆ nxwidget_pixel_t [2/4]

typedef uint16_t NXWidgets::nxwidget_pixel_t

Definition at line 444 of file nxconfig.hxx.

## ◆ nxwidget_pixel_t [3/4]

typedef uint32_t NXWidgets::nxwidget_pixel_t

Definition at line 446 of file nxconfig.hxx.

## ◆ nxwidget_pixel_t [4/4]

typedef uint32_t NXWidgets::nxwidget_pixel_t

Definition at line 448 of file nxconfig.hxx.

## Member Enumeration Documentation

## ◆ ECursorControl

enum NXWidgets::ECursorControl

Cursor control events

Enumerator
CURSOR_HOME |
CURSOR_END |
CURSOR_UP |
CURSOR_DOWN |
CURSOR_LEFT |
CURSOR_RIGHT |
CURSOR_PAGEUP |
CURSOR_PAGEDOWN |

Definition at line 111 of file cwidgeteventargs.hxx.

## ◆ EShowCursor

enum NXWidgets::EShowCursor

Cursor display options.

Enumerator
SHOW_CURSOR_ONFOCUS | Show the cursor only if the widget has focus
SHOW_CURSOR_NEVER | The cursor is never displayed
SHOW_CURSOR_ALWAYS | Always show the cursor

Definition at line 104 of file itextbox.hxx.

## Member Data Documentation

## ◆ BITMAP_NCOLUMNS

NXWidgets::BITMAP_NCOLUMNS

Definition at line 1033 of file glyph_nxlogo320x320.cxx.

## ◆ BITMAP_NLUTCODES

NXWidgets::BITMAP_NLUTCODES

Definition at line 3443 of file glyph_nxlogo160x160.cxx.

## ◆ BITMAP_NROWS

NXWidgets::BITMAP_NROWS

Definition at line 1033 of file glyph_nxlogo320x320.cxx.

## ◆ COLOR_FMT

NXWidgets::COLOR_FMT

Definition at line 146 of file glyph_arrowdown.cxx.

## ◆ CONFIG_NXWIDGETS_BPP [1/2]

* NXWidgets::CONFIG_NXWIDGETS_BPP

Definition at line 146 of file glyph_arrowdown.cxx.

## ◆ CONFIG_NXWIDGETS_BPP [2/2]

* NXWidgets::CONFIG_NXWIDGETS_BPP

Definition at line 146 of file glyph_arrowdown.cxx.

## ◆ CONFIG_NXWIDGETS_FMT

NXWidgets::CONFIG_NXWIDGETS_FMT

Definition at line 3443 of file glyph_nxlogo160x160.cxx.

## ◆ g_arrowDown

const struct SBitmap NXWidgets::g_arrowDown

Definition at line 119 of file glyphs.hxx.

## ◆ g_arrowLeft

const struct SBitmap NXWidgets::g_arrowLeft

Definition at line 120 of file glyphs.hxx.

## ◆ g_arrowRight

const struct SBitmap NXWidgets::g_arrowRight

Definition at line 121 of file glyphs.hxx.

## ◆ g_arrowUp

const struct SBitmap NXWidgets::g_arrowUp

Definition at line 118 of file glyphs.hxx.

## ◆ g_backspace

const struct SBitmap NXWidgets::g_backspace

Definition at line 123 of file glyphs.hxx.

## ◆ g_capslock

const struct SBitmap NXWidgets::g_capslock

Definition at line 126 of file glyphs.hxx.

## ◆ g_checkBoxMu

const struct SBitmap NXWidgets::g_checkBoxMu

Definition at line 115 of file glyphs.hxx.

## ◆ g_checkBoxOff

const struct SBitmap NXWidgets::g_checkBoxOff

Definition at line 113 of file glyphs.hxx.

## ◆ g_checkBoxOn

const struct SBitmap NXWidgets::g_checkBoxOn

Definition at line 114 of file glyphs.hxx.

## ◆ g_control

const struct SBitmap NXWidgets::g_control

Definition at line 127 of file glyphs.hxx.

## ◆ g_cycle

const struct SBitmap NXWidgets::g_cycle

Definition at line 122 of file glyphs.hxx.

## ◆ g_defaultWidgetStyle

CWidgetStyle * NXWidgets::g_defaultWidgetStyle

Global singleton instancesThe default widget style

The default widget style

Definition at line 101 of file singletons.hxx.

## ◆ g_nullString

CNxString * NXWidgets::g_nullString

The reusable empty string

Definition at line 108 of file singletons.hxx.

## ◆ g_nuttxBitmap160x160

const struct SRlePaletteBitmap NXWidgets::g_nuttxBitmap160x160

Definition at line 100 of file glyphs.hxx.

## ◆ g_nuttxBitmap320x320

const struct SRlePaletteBitmap NXWidgets::g_nuttxBitmap320x320

Definition at line 101 of file glyphs.hxx.

## ◆ g_nxTimers

TNxArray< CNxTimer * > * NXWidgets::g_nxTimers

An array of all timers

Definition at line 109 of file singletons.hxx.

## ◆ g_radioButtonMu

const struct SBitmap NXWidgets::g_radioButtonMu

Definition at line 112 of file glyphs.hxx.

## ◆ g_radioButtonOff

const struct SBitmap NXWidgets::g_radioButtonOff

Definition at line 111 of file glyphs.hxx.

## ◆ g_radioButtonOn

const struct SBitmap NXWidgets::g_radioButtonOn

Definition at line 110 of file glyphs.hxx.

## ◆ g_return

const struct SBitmap NXWidgets::g_return

Definition at line 124 of file glyphs.hxx.

## ◆ g_screenDepthDown

const struct SBitmap NXWidgets::g_screenDepthDown

Definition at line 106 of file glyphs.hxx.

## ◆ g_screenDepthUp

const struct SBitmap NXWidgets::g_screenDepthUp

Definition at line 105 of file glyphs.hxx.

## ◆ g_screenFlipDown

const struct SBitmap NXWidgets::g_screenFlipDown

Definition at line 117 of file glyphs.hxx.

## ◆ g_screenFlipUp

const struct SBitmap NXWidgets::g_screenFlipUp

Definition at line 116 of file glyphs.hxx.

## ◆ g_shift

const struct SBitmap NXWidgets::g_shift

Definition at line 125 of file glyphs.hxx.

## ◆ g_windowClose

const struct SBitmap NXWidgets::g_windowClose

Definition at line 107 of file glyphs.hxx.

## ◆ g_windowDepthDown

const struct SBitmap NXWidgets::g_windowDepthDown

Definition at line 109 of file glyphs.hxx.

## ◆ g_windowDepthUp

const struct SBitmap NXWidgets::g_windowDepthUp

Definition at line 108 of file glyphs.hxx.

The documentation for this struct was generated from the following files:

- glyph_arrowdown.cxx
- nxconfig.hxx
- cwidgeteventargs.hxx
- glyphs.hxx
- itextbox.hxx
- singletons.hxx
- glyph_arrowleft.cxx
- glyph_arrowright.cxx
- glyph_arrowup.cxx
- glyph_backspace.cxx
- glyph_capslock.cxx
- glyph_checkboxmu.cxx
- glyph_checkboxoff.cxx
- glyph_checkboxon.cxx
- glyph_control.cxx
- glyph_cycle.cxx
- glyph_nxlogo160x160.cxx
- glyph_nxlogo320x320.cxx
- glyph_radiobuttonmu.cxx
- glyph_radiobuttonoff.cxx
- glyph_radiobuttonon.cxx
- glyph_return.cxx
- glyph_screendepthdown.cxx
- glyph_screendepthup.cxx
- glyph_screenflipdown.cxx
- glyph_screenflipup.cxx
- glyph_shift.cxx
- glyph_windowclose.cxx
- glyph_windowdepthdown.cxx
- glyph_windowdepthup.cxx
- singletons.cxx